#include <stdio.h>

void main(int argc, char **argv)
{
   FILE *fp;
   int M, N;
   int i_start, i_end;
   int j_start, j_end;
   int count = 0;
   float A[1024][1024];
   int i, j;

   if ((fp = fopen("matrix.f.rst", "r")) == NULL) {
	printf("Sorry: can't open result file matrix.rst.\n");
	exit(-1);
   }

   fscanf(fp, "%d%d", &M, &N);
   printf("M = %d\tN = %d\n", M, N);

   while (count < M * N) {
	fscanf(fp, "%d%d%d%d", &i_start, &j_start, &i_end, &j_end);
	
	for (i = i_start; i <= i_end; i++)
	    for (j = j_start; j <= j_end; j++)
		fscanf(fp, "%f", &A[i][j]);
        count += (i_end-i_start+1) * (j_end-j_start+1) ;
   }

   for (i = 0; i < M; i++) {
       for (j = 0; j < N; j++)
	   printf("%2.1f ",A[i][j]);
       printf("\n");
   }
   fclose(fp);
}
